
// Persistence of Vision Ray Tracer Scene Description File
// File: .pov
// Vers: 3
// Desc: INC file for 13geng.pov
// Date: Feb 98
// Auth: Nathan O'Brien
// Mail: no13@ozemail.com.au
// Webp: http://www.ozemail.com.au/~no13

#declare Hcut_1 =
union {
	box {<-4,0,-20><4,8,20>}
	cylinder {<0,8,-20><0,8,20>,4}
}

#declare Hcut_2 =
union {
	box {<-4,0,-20><4,12,20>}
	cylinder {<0,12,-20><0,12,20>,4}
}

#declare Hrib =
difference {
	sphere {<0,0,0>,65 pigment{color <0.3,0.1,0.1>}}

	sphere {<0,0,0>,64.8 pigment{color <0.3,0.1,0.1>}}
	box {<200,-200,200><-200,45,-200> pigment{color <0.3,0.1,0.1>}}
	box {<200,60,200><-200,200,-200> pigment{color <0.3,0.1,0.1>}}
	box {<1,-300,300><300,300,-300> pigment{color <0.3,0.1,0.1>}}
	box {<-1,-300,300><-300,300,-300> pigment{color <0.3,0.1,0.1>}}
	box {<400,-400,0><-400,400,-400> pigment{color <0.3,0.1,0.1>}}
}


#declare Half_roof =
union {
	difference {
		cylinder {<-65,108,0><-85,108,0>,72 texture{T_Pend2 rotate <0,0,90>}}
		cylinder {<-55,108,0><-95,108,0>,65 texture{T_Pend2 rotate <0,0,90>}}
		box {<0,0,100><-200,108,-100> texture{T_Pend2 rotate <0,0,90>}}
		box {<200,0,0><-200,200,-200> texture{T_Pend2 rotate <0,0,90>}}
	}
	difference {
		merge {
			sphere {<-85,108,0>,69}
			sphere {<-110,108,53>,32}
			cylinder {<-170,108,0><-130,108,0>,38}
		}
		sphere {<-85,108,0>,65}
		sphere {<-110,108,53>,28}
		box {<100,0,200><-500,108,-200>}
		box {<-85,0,220><220,400,-220>}
		box {<-500,-100,-0.01><500,500,-500>}
		cylinder {<0,108,0><-300,108,0>,31}

		object {Hcut_1 translate <0,139,65> rotate <0,-30,0> translate <-85,0,0>}
		object {Hcut_1 translate <0,139,65> rotate <0,-60,0> translate <-85,0,0>}
		object {Hcut_1 translate <0,139,65> rotate <0,-90,0> translate <-85,0,0>}

		object {Hcut_2 translate <0,108,28> rotate <0,29,0> translate <-110,0,53>}
		object {Hcut_2 translate <0,108,28> rotate <0,-7,0> translate <-110,0,53>}
		object {Hcut_2 translate <0,108,28> rotate <0,-43,0> translate <-110,0,53>}
		object {Hcut_2 translate <0,108,28> rotate <0,-79,0> translate <-110,0,53>}

	}
	difference {
		sphere {<-85,108,0>,65 pigment{color <0.3,0.1,0.1>}}

		sphere {<-85,108,0>,64.8 pigment{color <0.3,0.1,0.1>}}
		box {<100,0,200><-500,138,-200> pigment{color <0.3,0.1,0.1>}}
		box {<100,139,200><-500,151,-200> pigment{color <0.3,0.1,0.1>}}
		box {<100,152,200><-500,500,-200> pigment{color <0.3,0.1,0.1>}}
		box {<-85,0,220><220,400,-220> pigment{color <0.3,0.1,0.1>}}
		box {<-500,-100,-0.01><500,500,-500> pigment{color <0.3,0.1,0.1>}}
	}
	#declare Count = 0
	#while (Count < 11)
		object {Hrib rotate <0,(Count * -9),0> translate <-85,108,0>}
		#declare Count = (Count + 1)
	#end

}
