
// Persistence of Vision Ray Tracer Scene Description File
// File: .pov
// Vers: 3
// Desc: INC file for 13geng.pov
// Date: Feb 98
// Auth: Nathan O'Brien
// Mail: no13@ozemail.com.au
// Webp: http://www.ozemail.com.au/~no13

#declare Lamp1_arm =
difference {
	union {
		torus {4.85,.15 sturm rotate <90,0,0> translate <4.85,9,0>}
		torus {4.85,.15 sturm rotate <90,0,0> translate <4.85,0,0>}
	}
	box {<200,0,200><-200,-200,-200>}
	box {<200,200,200><-200,9,-200>}
	box {<3,200,200><200,-200,-200>}
}

#declare Lamp1_turn =
difference {
	torus {1.5,.15 sturm translate <2.15,4.5,2.15>}
	cylinder {<0,0,0><0,20,0>,3}
}

#declare Lamp1 =
union {
	cylinder {<0,0,0><0,-2,0>,.15 texture{T_rail}}
	object {Lamp1_arm rotate <0,45,0> texture{T_rail}}
	object {Lamp1_arm rotate <0,135,0> texture{T_rail}}
	object {Lamp1_arm rotate <0,-45,0> texture{T_rail}}
	object {Lamp1_arm rotate <0,-135,0> texture{T_rail}}
	torus {1.5,.15 sturm rotate <90,45,0> translate <0,10.5,0> texture{T_rail}}
	torus {1.5,.15 sturm rotate <90,-45,0> translate <0,10.5,0> texture{T_rail}}
	cylinder {<0,9,0><0,12.5,0>,.15 texture{T_rail}}
	torus {3,.15 sturm translate <0,4.5,0> texture{T_rail}}
	object {Lamp1_turn texture{T_rail}}
	object {Lamp1_turn rotate <0,90,0> texture{T_rail}}
	object {Lamp1_turn rotate <0,180,0> texture{T_rail}}
	object {Lamp1_turn rotate <0,270,0> texture{T_rail}}

	cylinder {<0,12.5,0><0,21,0>,.1 texture{T_rail}}

}

#declare Lamp2 =
union {
	cylinder {<0,0,0><0,-2,0>,.15 texture{T_rail}}
	object {Lamp1_arm rotate <0,45,0> texture{T_rail}}
	object {Lamp1_arm rotate <0,135,0> texture{T_rail}}
	object {Lamp1_arm rotate <0,-45,0> texture{T_rail}}
	object {Lamp1_arm rotate <0,-135,0> texture{T_rail}}
	torus {1.5,.15 sturm rotate <90,45,0> translate <0,10.5,0> texture{T_rail}}
	torus {1.5,.15 sturm rotate <90,-45,0> translate <0,10.5,0> texture{T_rail}}
	cylinder {<0,9,0><0,12.5,0>,.15 texture{T_rail}}
	torus {3,.15 sturm translate <0,4.5,0> texture{T_rail}}
	object {Lamp1_turn texture{T_rail}}
	object {Lamp1_turn rotate <0,90,0> texture{T_rail}}
	object {Lamp1_turn rotate <0,180,0> texture{T_rail}}
	object {Lamp1_turn rotate <0,270,0> texture{T_rail}}

	cylinder {<0,12.5,0><0,40,0>,.1 texture{T_rail}}

}

#declare Lamp3_arm =
difference {
	union {
		torus {9,.15 sturm rotate <90,0,0> translate <9,0,0>}
		torus {9,.15 sturm rotate <90,0,0> translate <9,15,0>}
	}
	box {<200,0,200><-200,-200,-200>}
	box {<200,200,200><-200,15,-200>}
	box {<4,200,200><200,-200,-200>}
}

#declare Lamp3_turn =
difference {
	torus {1.5,.15 sturm translate <0,7.5,4>}
	cylinder {<0,0,0><0,20,0>,4}
}

#declare Lamp3 =
union {
	torus {2,.4 sturm translate <0,19.6,0>}
	torus {2,.4 sturm translate <0,18.8,0>}
	cylinder {<0,18.4,0><0,20,0>,2}
	torus {1.7,.15 sturm rotate <90,0,0> translate <0,16.7,0>}
	torus {1.7,.15 sturm rotate <90,0,0> translate <0,16.7,0> rotate <0,60,0>}
	torus {1.7,.15 sturm rotate <90,0,0> translate <0,16.7,0> rotate <0,12,0>}
	cylinder {<0,15,0><0,18.4,0>,.12}
	object {Lamp3_arm}
	object {Lamp3_arm rotate <0,60,0>}
	object {Lamp3_arm rotate <0,120,0>}
	object {Lamp3_arm rotate <0,180,0>}
	object {Lamp3_arm rotate <0,240,0>}
	object {Lamp3_arm rotate <0,300,0>}
	torus {4,.15 sturm translate <0,7.5,0>}
	object {Lamp3_turn}
	object {Lamp3_turn rotate <0,60,0>}
	object {Lamp3_turn rotate <0,120,0>}
	object {Lamp3_turn rotate <0,180,0>}
	object {Lamp3_turn rotate <0,240,0>}
	object {Lamp3_turn rotate <0,300,0>}
	sphere {<0,-1,0>,1}
	
	cylinder {<0,20,0><0,300,0>,.1}
}

#declare Lamp4_arm =
union {
	difference {
		torus {1.13,.15 sturm rotate <90,0,0> translate <8.63,2.25,0>}
		box {<20,2.25,20><-20,-20,-20>}
	}
	difference {
		torus {2.25,.15 sturm rotate <90,0,0> translate <9.75,2.25,0>}
		box {<20,20,20><-20,2.25,-20>}
	}
	difference {
		torus {5,.15 sturm rotate <0,90,0> translate <7,2.25,0>}
		box {<20,2.25,20><-20,-20,-20>}
		box {<-20,-20,-20><7,20,20>}
	}
	difference {
		torus {5,.15 sturm rotate <90,0,0> translate <7,12.5,0>}
		box {<20,12.5,20><-20,30,-20>}
		box {<7,30,30><30,-30,-30>}
	}
	cylinder {<2,12.25,0><2,15.25,0>,.15}
	difference {
		torus {2,.15 sturm rotate <0,90,0> translate <0,15.25,0>}
		box {<20,15.25,20><-20,-20,-20>}
		box {<0,30,30><-30,-30,-30>}
	}
}

#declare Lamp4_turn =
difference {
	torus {3,.15 sturm translate <0,0,12>}
	cylinder {<0,-10,0><0,10,0>,12}
}

#declare Lamp4_union =
union {
	object {Lamp4_turn}
	object {Lamp4_arm}
	cylinder {<0,0,0><0,0,12>,.15}
}

#declare Lamp4 =
union {
	torus {12,.15 sturm}
	torus {4,.15 sturm}
	#declare Count = 0
	#while (Count < 8)
		object {Lamp4_union rotate <0,(Count * 45),0>}
		#declare Count = (Count + 1)
	#end
	torus {3.46,.15 sturm translate <0,8.71,0>}
	torus {2,.15 sturm translate <0,15.25,0>}
	torus {2,.4 sturm translate <0,17.65,0>}
	torus {2,.4 sturm translate <0,18.45,0>}
	cone {<0,18.85,0>,2,<0,20.45,0>,.5}
	cylinder {<0,20.45,0><0,20.95,0>,.5}
	sphere {<0,22.45,0>,1.5}
	
	cylinder {<0,22.45,0><0,300,0>,.1}
}
