
// Persistence of Vision Ray Tracer Scene Description File
// File: .pov
// Vers: 3
// Desc: INC file for 13geng.pov
// Date: Feb 98
// Auth: Nathan O'Brien
// Mail: no13@ozemail.com.au
// Webp: http://www.ozemail.com.au/~no13

#declare Half_dome_cut1 =
cylinder {<0,51,0><0,51,200>,6}

#declare Half_dome_cut2 =
cylinder {<0,95,0><0,95,200>,3}

#declare Half_dome_infill =
union {
	difference {
		cylinder {<0,51,0><0,103,0>,34}

		cylinder {<0,0,0><0,200,0>,28}
		box {<200,60,200><-200,95,-200>}
		box {<15,-10,-200><200,200,200>}
		box {<-200,-10,-200><200,200,2>}

		object {Half_dome_cut1 rotate <0,13.05,0>}
		object {Half_dome_cut1 rotate <0,-29.33,0>}
		object {Half_dome_cut1 rotate <0,-71.72,0>}

		object {Half_dome_cut2 rotate <0,20.57,0>}
		object {Half_dome_cut2 rotate <0,-4,0>}
		object {Half_dome_cut2 rotate <0,-28.57,0>}
		object {Half_dome_cut2 rotate <0,-53.14,0>}
		object {Half_dome_cut2 rotate <0,-77.71,0>}
	}
	object {Column1 translate <0,0,31> rotate <0,-8.14,0> texture {T_Column1}}
	object {Column1 translate <0,0,31> rotate <0,-50.53,0> texture {T_Column1}}

	object {Column1 scale .6 translate <0,65,30> rotate <0,8.28,0> texture {T_Column1}}
	object {Column1 scale .6 translate <0,65,30> rotate <0,-16.29,0> texture {T_Column1}}
	object {Column1 scale .6 translate <0,65,30> rotate <0,-40.86,0> texture {T_Column1}}
	object {Column1 scale .6 translate <0,65,30> rotate <0,-65.43,0> texture {T_Column1}}
}

#declare Half_dome =
union {
	difference {
		box {<-174,0,159><-85,108,0>}

		cylinder {<-85,-10,0><-85,120,0>,65}
		cylinder {<-110,-20,53><-110,140,53>,28}
		box {<-179,-30,-5><-130,150,31>}
		box {<-167,65,152><-95,103,55>}
		box {<-167,-15,152><-95,60,55>}
	}
	object {Half_dome_infill translate <-110,0,53> texture{T_Render2}}
}

#declare Side_wall =
union {
	box {<-47,0,92><-24,108,95>}
	box {<-47,0,152><0,108,159>}

	box {<-47,60,71><0,65,152>}
	box {<-47,103,71><0,108,152>}
}

#include "hroof.inc"

#declare Part_bldg =
union {
    box {<-65,0,71><-85,108,65> texture{Spec_tex2}}
    box {<-47,0,71><-85,108,159> texture{Spec_tex2}}

	object {Half_dome texture{Spec_tex2}}
	object {Side_wall texture{T_Render}}
	object {Half_roof texture{T_Top_dome}}

	object {Entab_corner translate <-65,60,65>}
	object {Entab_corner translate <-65,103,65>}
	
	object {Entab_round translate <-85,60,0> texture{T_Render}}
	object {Entab_round translate <-85,103,0> texture{T_Render}}
}





